net.minecraft.block

## Class BlockPotato

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockBush
    - - net.minecraft.block.BlockCrops
      - - net.minecraft.block.BlockPotato

- All Implemented Interfaces:
    IGrowable, IPlantable

      public class BlockPotato
      extends BlockCrops

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockPotato()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dropBlockAsItemWithChance(World p_149690_1_, int p_149690_2_, int p_149690_3_, int p_149690_4_, int p_149690_5_, float p_149690_6_, int p_149690_7_)`
    `protected Item` | `func_149865_P()`
    `protected Item` | `func_149866_i()`
    `java.util.ArrayList<ItemStack>` | `getDrops(World world, int x, int y, int z, int metadata, int fortune)` This returns a complete list of items dropped from this block.
    `IIcon` | `getIcon(int p_149691_1_, int p_149691_2_)`
    `void` | `registerBlockIcons(IIconRegister p_149651_1_)`

    - ### Methods inherited from class net.minecraft.block.BlockCrops

      `canPlaceBlockOn, func_149851_a, func_149852_a, func_149853_b, func_149863_m, getItem, getItemDropped, getRenderType, quantityDropped, updateTick`

    - ### Methods inherited from class net.minecraft.block.BlockBush

      `canBlockStay, canPlaceBlockAt, checkAndDropBlock, getCollisionBoundingBoxFromPool, getPlant, getPlantMetadata, getPlantType, isOpaqueCube, onNeighborBlockChange, renderAsNormalBlock`

    - ### Methods inherited from class net.minecraft.block.Block

      `addCollisionBoxesToList, addDestroyEffects, addHitEffects, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, collisionRayTrace, colorMultiplier, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropXpOnBlockBreak, fillWithRain, func_149698_L, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockColor, getBlockFromItem, getBlockFromName, getBlockHardness, getBlocksMovement, getBlockTextureFromSide, getCanBlockGrass, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIdFromBlock, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMapColor, getMaterial, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, getWeakChanges, harvestBlock, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isAssociatedBlock, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isCollidable, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLadder, isLeaves, isNormalCube, isNormalCube, isProvidingStrongPower, isProvidingWeakPower, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockActivated, onBlockAdded, onBlockClicked, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockEventReceived, onBlockExploded, onBlockHarvested, onBlockPlaced, onBlockPlacedBy, onBlockPreDestroy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onNeighborChange, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, recolourBlock, registerBlocks, removedByPlayer, rotateBlock, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, shouldSideBeRendered, tickRate, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockPotato

          public BlockPotato()

  - ### Method Detail

    - #### getIcon

          public IIcon getIcon(int p_149691_1_,
                      int p_149691_2_)

      Overrides:
        `getIcon` in class `BlockCrops`

    - #### func_149866_i

          protected Item func_149866_i()

      Overrides:
        `func_149866_i` in class `BlockCrops`

    - #### func_149865_P

          protected Item func_149865_P()

      Overrides:
        `func_149865_P` in class `BlockCrops`

    - #### dropBlockAsItemWithChance

          public void dropBlockAsItemWithChance(World p_149690_1_,
                                       int p_149690_2_,
                                       int p_149690_3_,
                                       int p_149690_4_,
                                       int p_149690_5_,
                                       float p_149690_6_,
                                       int p_149690_7_)

      Overrides:
        `dropBlockAsItemWithChance` in class `BlockCrops`

    - #### getDrops

          public java.util.ArrayList<ItemStack> getDrops(World world,
                                                int x,
                                                int y,
                                                int z,
                                                int metadata,
                                                int fortune)

      Description copied from class: `Block`
      This returns a complete list of items dropped from this block.
      Overrides:
        `getDrops` in class `BlockCrops`
      Parameters:
        `world` - The current world
        `x` - X Position
        `y` - Y Position
        `z` - Z Position
        `metadata` - Current metadata
        `fortune` - Breakers fortune level
      Returns:
        A ArrayList containing all items this block drops

    - #### registerBlockIcons

          public void registerBlockIcons(IIconRegister p_149651_1_)

      Overrides:
        `registerBlockIcons` in class `BlockCrops`